<?php
header('Access-Control-Allow-Origin: *'); //设置http://www.xxx.com允许跨域访问
header('Access-Control-Allow-Headers: X-Requested-With,X_Requested_With'); //多个值用逗号隔开
define('CLOSETASK',true);// 读取远程数据的时候不能蹦出计划任务。
require '../../../../global.php';

date_default_timezone_set("Asia/chongqing");
error_reporting(E_ERROR);
header("Content-Type: text/html; charset=utf-8");

$CONFIG = json_decode(preg_replace("/\/\*[\s\S]+?\*\//", "", file_get_contents("config.json")), true);
$action = $_GET['action'];

switch ($action) {
    case 'config':
        $result =  json_encode($CONFIG);
        break;
		
    /* 上传图片 */
    case 'uploadimage':
		$u=new user;
		$upimage=kc_config('switch.upimage');
		if(!$upimage){
			$result = json_encode(array(
				'state'=> '系统禁止图片上传'
			));
		}else{
			$imagesize=kc_config('up.imagesize');
			$imagetype=kc_config('up.imagetype');
			if(!empty($imagesize)) $CONFIG['imageMaxSize']=intval($imagesize)*1024;
			if(!empty($imagetype)){
				$arr = array();
				$temp = explode(',',$imagetype);
				foreach($temp as $val){
					$arr[] = '.'.$val;
				}
				$CONFIG['imageAllowFiles']=$arr;
			}
			if($u->isAdmin()){
				$result = include("action_upload.php");
			}elseif(!$u->auth_group('user_upimage',true)){
				$result = json_encode(array(
					'state'=> '没有上传图片权限'
				));
			}else{
				$result = include("action_upload.php");
			}
		}
        break;
    /* 上传视频 */
    case 'uploadvideo':
			$result = json_encode(array(
				'state'=> '不支持视频上传'
			));
		break;
    /* 上传文件 */
    case 'uploadfile':
		$u=new user;
		$upfile=kc_config('switch.upfile');
		if(!$upfile){
			$result = json_encode(array(
				'state'=> '系统禁止文件上传'
			));
		}else{
			$filesize=kc_config('up.filesize');
			$filetype=kc_config('up.filetype');
			if(!empty($filesize)) $CONFIG['fileMaxSize']=intval($filesize)*1024;
			if(!empty($filetype)){
				$arr = array();
				$temp = explode(',',$filetype);
				foreach($temp as $val){
					$arr[] = '.'.$val;
				}
				$CONFIG['fileAllowFiles']=$arr;
			} 
			if($u->isAdmin()){
				$result = include("action_upload.php");
			}elseif(!$u->auth_group('user_upfile',true)){
				$result = json_encode(array(
					'state'=> '没有上传文件权限'
				));
			}else{
				$result = include("action_upload.php");
			}
		}
        break;

    default:
        $result = json_encode(array(
            'state'=> '请求地址出错'
        ));
        break;
}

/* 输出结果 */
if (isset($_GET["callback"])) {
    if (preg_match("/^[\w_]+$/", $_GET["callback"])) {
        echo htmlspecialchars($_GET["callback"]) . '(' . $result . ')';
    } else {
        echo json_encode(array(
            'state'=> 'callback参数不合法'
        ));
    }
} else {
    echo $result;
}